% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/TPSbits.R
\docType{package}
\name{TPSbits}
\alias{TPSbits}
\title{TPSbits: Enables Fitting of 2D Tensor-Product Splines using ASReml-R}
\description{
Creates structures to enable ASReml-R to fit the 2D tensor-product splines of Rodriguez-Alvarez et al (2018).
Also enables extraction and plotting of the components of the splines.
}
\details{
The TPSbits package provides:
\enumerate{
   \item function \code{tpsmmb} to generate matrices required for mixed model tensor splines;
   \item function \code{edf} to calculate equivalent degrees of freedom for all random terms
   in the model. Note: requires scaled identity variance model for all random terms;
   \item function \code{tpsfitted} to get the fitted spline from an asreml object;
   \item function \code{tpsurface} to get a contour or tile plot of the fitted spline.
   }
}
\section{TPSbits functions}{
 \code{bbasis}, \code{tpsmmb}, \code{edf}, \code{tpsfitted}, \code{tpsurface}
}

\section{Author}{


Author: Sue Welham <stats4biol_at_gmail.com>

Maintainer: Sue Welham <stats4biol_at_gmail.com>
}

\section{References}{


Lee, D.-J., Durban, M., and Eilers, P.H.C. (2013). Efficient two-dimensional smoothing with
P-spline ANOVA mixed models and nested bases. Computational Statistics and Data Analysis, 61, 22 - 37.

Rodriguez-Alvarez, M.X, Boer, M.P., van Eeuwijk, F.A., and Eilers, P.H.C. (2018).
Correcting for spatial heterogeneity in plant breeding experiments with P-splines. Spatial Statistics, 23, 52 - 71.

Wood, S. N., Scheipl, F., & Faraway, J. J. (2012). Straightforward intermediate rank
tensor product smoothing in mixed models. Statistics and Computing 23, 341-360.
}

