% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/csteps.R
\name{csteps}
\alias{csteps}
\title{Gets nice break points & labels for plotting contours}
\usage{
csteps(min, max, nsteps, ticks = c(1, 2, 2.5, 4, 5, 7.5, 10))
}
\arguments{
\item{min}{A numeric value. The lower bound of the range.}

\item{max}{A numeric value. The upper bound of the range.}

\item{nsteps}{A numeric value. The target number of categories required.}

\item{ticks}{A numeric vector. A list of values suitable for
tick marks (modulo powers of 10); default = \code{c(1,2,2.5,5,7.5,10)}}
}
\value{
A list of length 3:
\enumerate{
\item \code{breaks}: a numeric vector containing the set of break points (length \code{nbreaks})
\item \code{labels}: a character vector containing the set of labels (length \code{nbreaks-1})
\item \code{nbreaks}: the number of breaks (may be different from \code{nsteps})
}
}
\description{
\code{csteps} gets nice equally-spaced break points for plotting contours, based
   on the range provided, and generates labels
}
