test_that("csteps gives break points expected", {

  step1 <- csteps(0,100,20)
  expect_equal(step1$nstep, 21)
  expect_setequal(step1$breaks, seq(from=0, to=100, by=5))

  labels <- c("-300--200","-200--100","-100-0","0-100","100-200")
  step2 <- csteps(-300,200,5)
  expect_equal(step2$nstep, 6)
  expect_setequal(step2$breaks, seq(from=-300, to=200, by=100))
  expect_match(step2$labels[[1]], labels[[1]])

  step3 <- csteps(0,27,5)
  expect_equal(step3$nstep, 5)
  expect_setequal(step3$breaks, seq(from=0, to=30, by=7.5))

  labels <- c("0-6","6-12","12-18","18-24","24-30")
  step4 <- csteps(0,27,5,ticks=c(1:10))
  expect_equal(step4$nstep, 6)
  expect_setequal(step4$breaks, seq(from=0, to=30, by=6))
  expect_match(step4$labels[[1]], labels[[1]])

})
