test_that("fitted values as expected", {

#  library(TPSbits)
#  library(testthat)
#  library(asreml)
#  asreml.options(extra=10)

  data(wheatdata)
  wheatdata$R <- as.factor(wheatdata$row)
  wheatdata$C <- as.factor(wheatdata$col)

###
### 1: check fitted values with asreml="mbf"
###
  bits <- tpsmmb("col", "row", wheatdata, stub="x", nsegments=c(7,7))

### start of create section - to be commented out
#  BcZx.df <- bits$BcZ.df
#  BrZx.df <- bits$BrZ.df
#  BcrZx.df <- bits$BcrZ.df
#  m4.asr <- asreml(yield~1+TP.CR.2+TP.CR.3+TP.CR.4+colcode+rowcode,
#                   random=~geno+R+C+TP.C.1:mbf(TP.row)+TP.C.2:mbf(TP.row)+
#                     TP.R.1:mbf(TP.col)+TP.R.2:mbf(TP.col)+mbf(TP.CxR),
#                   mbf=bits$mbflist,
#                   data=bits$data, maxit=100)
#  expect_equal_to_reference(m4.asr,file="m4asr.rds")
### end of create section

  m4.asr <- readRDS("m4asr.rds")

  tpsfit4 <- tpsfitted(m4.asr,bits)
  expect_equal_to_reference(tpsfit4,file="fitval4.rds")

###
### 2: check fittedvalues with asreml="grp"
###
  bitsgrp <- tpsmmb("col", "row", wheatdata, nsegments=c(7,7), asreml="grp")

### start of create section - to be commented out
#  m4g.asr <- asreml(yield~1+TP.CR.2+TP.CR.3+TP.CR.4+colcode+rowcode,
#                    random=~geno+R+C+grp(TP.C.1_frow)+grp(TP.C.2_frow)+grp(TP.R.1_fcol)+
#                      grp(TP.R.2_fcol)+grp(TP_fcol_frow),
#                    group=bitsgrp$grp,
#                    data=bitsgrp$data, maxit=100)
#  expect_equal_to_reference(m4g.asr,file="m4gasr.rds")
### end of create section

  m4g.asr <- readRDS("m4gasr.rds")

  tpsfit4g <- tpsfitted(m4g.asr,bitsgrp)
  expect_equivalent(tpsfit4g, tpsfit4)

###
### 3: check fittedvalues with asreml="sepgrp"
###
  bitsep <- tpsmmb("col", "row", wheatdata, nsegments=c(7,7), asreml="sepgrp")

### start of create section - to be commented out
#  m4sg.asr <- asreml(yield~1+TP.CR.2+TP.CR.3+TP.CR.4+colcode+rowcode,
#                    random=~geno+R+C+diag(grp(TP_C)):grp(TP_frow)+
#                            diag(grp(TP_R)):grp(TP_fcol)+grp(TP_fcol_frow),
#                    group=bitsep$grp,
#                    data=bitsep$data, maxit=100,extra=10)
#  expect_equal_to_reference(m4sg.asr,file="m4sgasr.rds")
### end of create section

  m4sg.asr <- readRDS("m4sgasr.rds")

  tpsfit4sg <- tpsfitted(m4sg.asr,bitsep)
  expect_equivalent(tpsfit4g, tpsfit4)

})
